PGS(4)

NAME
pgs - programmer's switch

SYNOPSIS
pgs* at macgpio?

DESCRIPTION
The pgs driver provides support for the "Programmer's Switch" found on selected PowerMac2,1 and newer models. If the ddb.console sysctl(8) is set, pressing the button will cause the machine to enter ddb(4). The "Programmers Switch" can be identified by the V-like symbol on it.

SEE ALSO
intro(4), macgpio(4), sysctl(8)

HISTORY
Support for the pgs driver first appeared in OpenBSD 4.8.

AUTHORS
The pgs driver was written by Jasper Lievisse Adriaanse <jasper@openbsd.org>.